/***
* Copyright (C) 1999 Gary Pennington, Robert W. Watson
* 
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public
* License as published by the Free Software Foundation; either
* version 2 of the License, or (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public
* License along with this program; if not, write to the
* Free Software Foundation, Inc., 59 Temple Place - Suite 330,
* Boston, MA  02111-1307, USA.
* 
* Contact Details:
* The authors can be contacted via email at Gary.Pennington@uk.sun.com
* and Robert.W.Watson@uk.sun.com
* 
* Sun Microsystems Inc., hereby disclaims all copyright interest in
* the program `jProf' (a program for profiling Java programs) written
* by Gary Pennington and Rob Watson.
***/
/***
*
*  Description
*
*  SCCS: GCCharter.java @(#)GCCharter.java	1.1 06/09/99 
*
***/
package jProf;
import java.util.*;
import java.util.Vector;

// Importing Chart Components
import jclass.chart.JCChart;
import jclass.chart.ChartDataView;
import jclass.chart.FileDataSource;
import jclass.chart.EventTrigger;
import jclass.chart.*;
import jclass.util.JCString;
import jclass.chart.JCAxis.*;

// Importing classes for the xml parser
import org.w3c.dom.*;
import org.xml.sax.*;
import org.xml.sax.helpers.ParserFactory;

public final class GCCharter extends ChartMaster 
{
  public GCCharter()
  {
    super("./GCCharter.prop");
  }
  
  public Vector getChartTypes()
  {
    return super.getChartTypes();
  }
  
  protected String getTag()
  {
    return null;
  }
}
